## cutefish-launcher-0.8-2.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(PROJECT_NAME cutefish-launcher)
project(${PROJECT_NAME})

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT Core Widgets DBus Quick QuickControls2 LinguistTools)
find_package(Qt5 REQUIRED ${QT})
find_package(KF5WindowSystem REQUIRED)

set(SRCS
    src/desktopproperties.cpp
    src/iconthemeimageprovider.cpp
    src/launcher.cpp
    src/launchermodel.cpp
    src/appitem.cpp
    src/main.cpp
    src/pagemodel.cpp
    src/ucunits.cpp
    src/listmodelmanager.cpp
    src/iconitem.cpp
    src/processprovider.cpp
    src/appmanager.cpp
)

set(RESOURCES
    qml.qrc
)

qt5_add_dbus_adaptor(DBUS_SRCS
    src/com.cutefish.Launcher.xml
    src/launcher.h
    Launcher
    launcheradaptor
    LauncherAdaptor
)
set_source_files_properties(${DBUS_SRCS} PROPERTIES SKIP_AUTOGEN ON)

add_executable(${PROJECT_NAME} ${SRCS} ${DBUS_SRCS} ${RESOURCES})
target_link_libraries(${PROJECT_NAME}
        Qt5::Core
        Qt5::Widgets
        Qt5::DBus
        Qt5::Quick
        Qt5::QuickControls2
        KF5::WindowSystem
)

file(GLOB TS_FILES translations/*.ts)
qt5_create_translation(QM_FILES ${TS_FILES})
add_custom_target(translations DEPENDS ${QM_FILES} SOURCES ${TS_FILES})
add_dependencies(${PROJECT_NAME} translations)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${QM_FILES} DESTINATION /usr/share/${PROJECT_NAME}/translations)

=== debian/changelog ===
cutefish-launcher (0.8) UNRELEASED; urgency=high

  * Update

 -- CutefishOS Packaging Team <support@cutefishos.com>  Sat, 29 Jan 2022 03:28:29 +0800

cutefish-launcher (0.5) UNRELEASED; urgency=high

  * Initial release (CutefishOS)  <support@cutefishos.com>

 -- CutefishOS Packaging Team <support@cutefishos.com>  Thu, 16 Sep 2021 02:31:42 +0800

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=cutefish-launcher
pkgver=0.8
pkgrel=2
pkgdesc="CutefishOS's full-screen application launcher"
arch=('x86_64')
url="https://github.com/cutefishos/launcher"
license=('GPL')
groups=('cutefish')
depends=('fishui' 'kwindowsystem5' 'libcutefish')
makedepends=('extra-cmake-modules' 'ninja' 'qt5-tools')
source=("https://github.com/cutefishos/launcher/archive/$pkgver/$pkgname-$pkgver.tar.gz"
         https://github.com/cutefishos/launcher/commit/62cb76ed.patch)
sha512sums=('c439e259bb7e82ba2dacac55f792a3d78db6c4c2c194d01a1ac0dc36ff73c632dce1accd4617bd6e693bea828951dc6a4afdb6e9ad098eced7defcae7447833b'
            '1b558d3ae774b6f6d8c3f36f83a296fdadad75c8199fa990585d13237be0ee659dce4814ae8bf2b1bae6de863a11b3d11c478da918c4a4a03754e1efa73ec8c0')

prepare() {
  cd launcher-$pkgver
  patch -p1 -i ../62cb76ed.patch # Fix build
  sed -e '/add_dependencies/d' -i CMakeLists.txt
}

build() {
  cd launcher-$pkgver

  cmake -DCMAKE_INSTALL_PREFIX=/usr .
  make
  make translations
}

package() {
  cd launcher-$pkgver
  make DESTDIR="$pkgdir" install
}

=== debian/control ===
Source: cutefish-launcher
Section: devel
Priority: optional
Maintainer: CutefishOS <support@cutefishos.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5windowsystem-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Homepage: https://cutefishos.com

Package: cutefish-launcher
Architecture: any
Depends: qml-module-qtquick-controls2,
         qml-module-qtquick2,
         qml-module-qtquick-layouts,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtqml,
         qml-module-qtquick-window2,
         qml-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Description: CutefishOS Launcher
